Bug 1668914 - [abrt] Invalid ESource unref in on_client_connected()
Summary: [abrt] Invalid ESource unref in on_client_connected()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eeabb3939e2c013908df319de5e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-23 21:16 UTC by Matthew Saltzman
Modified: 2019-07-26 00:59 UTC (History)
9 users (show)

Fixed In Version: gnome-calendar-3.32.2-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 00:59:41 UTC


Attachments (Terms of Use)
File: backtrace (36.58 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: cgroup (355 bytes, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: core_backtrace (13.46 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: dso_list (20.19 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: environ (2.49 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: exploitable (82 bytes, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: maps (124.35 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: mountinfo (4.34 KB, text/plain)
2019-01-23 21:16 UTC, Matthew Saltzman
no flags Details
File: open_fds (1.21 KB, text/plain)
2019-01-23 21:17 UTC, Matthew Saltzman
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-01-23 21:17 UTC, Matthew Saltzman
no flags Details
File: var_log_messages (1.27 KB, text/plain)
2019-01-23 21:17 UTC, Matthew Saltzman
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-calendar/issues/435 None None None 2019-07-17 00:10:43 UTC

Description Matthew Saltzman 2019-01-23 21:16:50 UTC
Version-Release number of selected component:
gnome-calendar-3.30.1-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-calendar
journald_cursor: s=9a9ec60234814bc486e6d37074d5191d;i=14f5abb;b=eddacbab497249c492dfa6d7de9e7bbe;m=2cd49419df;t=580267526959a;x=9a5aee81200ca20b
kernel:         4.19.15-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4026
 #2 client_dispose at /usr/src/debug/evolution-data-server-3.30.4-1.fc29.x86_64/src/libedataserver/e-client.c:315
 #5 cal_client_view_dispose at /usr/src/debug/evolution-data-server-3.30.4-1.fc29.x86_64/src/calendar/libecal/e-cal-client-view.c:603
 #8 view_state_changed_data_free at ../contrib/evolution/e-cal-data-model.c:399
 #9 g_source_callback_unref at gmain.c:1551
 #11 g_source_destroy_internal at gmain.c:1236
 #15 g_main_context_iteration at gmain.c:3981
 #16 g_application_run at gapplication.c:2470

Comment 1 Matthew Saltzman 2019-01-23 21:16:52 UTC
Created attachment 1522884 [details]
File: backtrace

Comment 2 Matthew Saltzman 2019-01-23 21:16:52 UTC
Created attachment 1522885 [details]
File: cgroup

Comment 3 Matthew Saltzman 2019-01-23 21:16:53 UTC
Created attachment 1522886 [details]
File: core_backtrace

Comment 4 Matthew Saltzman 2019-01-23 21:16:54 UTC
Created attachment 1522887 [details]
File: cpuinfo

Comment 5 Matthew Saltzman 2019-01-23 21:16:55 UTC
Created attachment 1522888 [details]
File: dso_list

Comment 6 Matthew Saltzman 2019-01-23 21:16:56 UTC
Created attachment 1522889 [details]
File: environ

Comment 7 Matthew Saltzman 2019-01-23 21:16:57 UTC
Created attachment 1522890 [details]
File: exploitable

Comment 8 Matthew Saltzman 2019-01-23 21:16:57 UTC
Created attachment 1522891 [details]
File: limits

Comment 9 Matthew Saltzman 2019-01-23 21:16:58 UTC
Created attachment 1522892 [details]
File: maps

Comment 10 Matthew Saltzman 2019-01-23 21:16:59 UTC
Created attachment 1522893 [details]
File: mountinfo

Comment 11 Matthew Saltzman 2019-01-23 21:17:00 UTC
Created attachment 1522894 [details]
File: open_fds

Comment 12 Matthew Saltzman 2019-01-23 21:17:01 UTC
Created attachment 1522895 [details]
File: proc_pid_status

Comment 13 Matthew Saltzman 2019-01-23 21:17:02 UTC
Created attachment 1522896 [details]
File: var_log_messages

Comment 14 Milan Crha 2019-07-04 10:31:04 UTC
Thanks for a bug report. Is there any reproducer for the crash, please? Or any description what could be happening when the crash happened, please?

Comment 15 Milan Crha 2019-07-04 10:32:38 UTC
I forgot to mention, it looks like a ref/unref imbalance somewhere in the code, either in libecal, or in gnome-calendar itself, on an ECalClient/EClient instance.

Comment 16 Matthew Saltzman 2019-07-04 11:01:14 UTC
At this point, I don't recall the exact circumstances. If I didn't write something down when I reported it, then it probably happened in the background. I have occasionally flipped back to the screen with Evo running or went to uncover it from behind other windows only to find that it had closed while I wasn't looking. I suspect this was one of those times.

Comment 17 Milan Crha 2019-07-16 09:15:55 UTC
I found one issue while testing this, reported upstream as
https://gitlab.gnome.org/GNOME/gnome-calendar/issues/434
Though it's not directly related.

I've been able to reproduce this by adding/removing a CalDAV calendar .source file to/from ~/.config/evolution/sources, which I filled as
https://gitlab.gnome.org/GNOME/gnome-calendar/issues/435

Comment 18 Milan Crha 2019-07-16 10:23:03 UTC
The above report contains a proposed change, if anyone would like to backport it. It's here:
https://gitlab.gnome.org/GNOME/gnome-calendar/issues/435#note_556880

Comment 19 Michael Catanzaro 2019-07-16 13:25:16 UTC
OK, I see my analysis was lacking. Thanks Milan!

I'm already preparing a gnome-calendar update with a bunch of patches, so I'll add yours as well.

Comment 20 Fedora Update System 2019-07-17 01:16:39 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 21 Fedora Update System 2019-07-18 00:42:22 UTC
gnome-calendar-3.32.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 22 Fedora Update System 2019-07-18 02:40:52 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 23 Fedora Update System 2019-07-19 01:34:25 UTC
gnome-calendar-3.32.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 24 Fedora Update System 2019-07-21 19:13:11 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 25 Fedora Update System 2019-07-22 01:10:09 UTC
gnome-calendar-3.32.2-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 26 Fedora Update System 2019-07-26 00:59:41 UTC
gnome-calendar-3.32.2-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.